# gds-pagination - Angular

## Import

```typescript
import { GdsPaginationComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-pagination></gds-pagination>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-page-change` | `gdsPageChange` | `(gdsPageChange)="handler($event)"` |
| `gds-rows-change` | `gdsRowsChange` | `(gdsRowsChange)="handler($event)"` |
